#!/bin/bash -e
# shellcheck disable=SC2034
#
# movehtml:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/movehtml
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -r INSTALL_DATA_DIR='/usr/local/share/movehtml'
declare -r INSTALL_BIN_DIR='/usr/bin'

declare -r REMOVE_OLD="${INSTALL_DATA_DIR}/movehtml-remove"
declare -r REMOVE_EXE="${INSTALL_DATA_DIR}/movehtml-remove.sh"

declare -r INSTALL_LINKS='
movehtml
movehtml-config
'

declare -r INSTALL_EXE='
bin/movehtml-config.sh
bin/movehtml.sh
movehtml-install.sh
movehtml-remove.sh
'

declare -ra INSTALL_PACKAGES=( jq whiptail )
